# -*- rpm-spec -*-
# $Id: tclx,v 1.24 2003/03/06 18:18:58 lioka Exp $

%define cvsdate 20021217

Name: tclx
Version: 8.4
Release: alt2
Serial: 1

Summary: Tcl extensions for POSIX systems
License: BSD
Group: Development/Tcl
Url: http://www.tcl.tk/

Source0: %name%version.tar.bz2
Patch0: %name-8.4-buildhelp.patch
 
Provides: %name-devel = %serial:%version-%release
Obsoletes: %name-devel
Requires: tcl >= 8.4.0-alt1
BuildRequires: tcl-devel >= 8.4.0-alt1

%description
TclX is a set of extensions which make it easier to use the Tcl
scripting language for common UNIX/Linux programming tasks.  TclX
enhances Tcl support for files, network access, debugging, math, lists,
and message catalogs.

%prep
%setup -q %{?cvsdate:-c}%{!?cvsdate:-n %name}
%tea_patch
%patch -p1
 
%build
%add_optflags -DUSE_NON_CONST
%configure --enable-shared --enable-gcc
%__make all test

%install 
%make_install DESTDIR=%buildroot install
%__sed 's|\(\$dir \)|\1.. .. .. lib tcl |' < pkgIndex.tcl \
	> %buildroot%_tcldatadir/%name%version/pkgIndex.tcl
%__rm -f %buildroot%_mandir/mann/memory*

%files
%doc README ChangeLog
%_tcllibdir/lib%name%version.so
%_tcldatadir/%name%version
%_includedir/*
%_mandir/mann/*

%changelog
* Thu Mar  6 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1:8.4-alt2
- CVS snapshot @20021217

* Mon Sep 23 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1:8.4-alt1
- CVS snapshot @ 20020921
- custom shell dropped

* Mon Jun 3 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt8
- Tk part dropped
- libpath changed to %_tcllibpath
- src rpm splitted

* Mon Mar 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt7
- fixed encoding file for koi8-u

* Tue Mar 05 2002 Stanislav Ievlev <inger@altlinux.ru> 8.3.4-alt6
- removed all -lieee, 'cause
  fist: Programs can work with -lm and without -lieee
  second: Programs cannot link with lieee library

* Fri Dec  7 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt5
- tclx fixes
- fixed tls build with stubs from tcl build dir
- fixed permissions for %_libdir/lib*stub*.a

* Wed Oct 24 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.4-alt4
- Tcl/Tk 8.3.4
- SSL support added (tcl-tls)

* Mon Jul 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 8.3.3-alt3
- Removed unnecessary provides and obsoletes.
- Added *_rel macros for subpackages and corrected inter-requires.
- Merged RH patches.

* Sat Jun 16 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt2
- Rearranged files in subpackages: tcl, tcl-devel
- Tk splitted to: tk tk-devel tk-demos
- tclX 8.3.0, splitted to: tclx tclx-devel
- tix 8.1, splitted to: tix tix-devel tix-demos
- itcl 3.2, splitted to: itcl itcl-devel itcl-demos compat-itcl compat-itcl-demos. Huh :)
- tcllib removed to separate package
- Dropped most of changelog entries
- Group fixed

* Tue May 15 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt1
- Tcl/Tk 8.3.3
- tcllib 0.8
- expect 5.32, splitted to subpackages.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 8.3.2-ipl8mdk
- Moved include files and C programming manual to tcl-devel subpackage.
- Fixed out empty manpages.

* Wed Nov 29 2000 AEN <aen@logic.ru> 8.3.2-ipl7mdk
- build for RE
- ps patch from Viktor Wagner
- bad requires patch

